Debian Bug report logs - #679750
ALPS touchpad recognized as "PS/2 Generic Mouse"

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: littlebat <dashing.meng@gmail.com>

Date: Sun, 1 Jul 2012 10:12:02 UTC

Severity: wishlist

Tags: upstream

Merged with 679844, 680154

Found in versions linux-2.6/3.2.4-1, linux/3.4.4-1~experimental.1, linux-2.6/2.6.32-45

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>, unknown-package@qa.debian.org:
Bug#679750; Package xserver-xorg-input-synaptics (maybe. (Sun, 01 Jul 2012 10:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>, unknown-package@qa.debian.org. (Sun, 01 Jul 2012 10:12:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: submit@bugs.debian.org
Subject: ALPS touchpad recognized as "PS/2 Generic Mouse"
Date: Sun, 1 Jul 2012 18:10:47 +0800
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-input-synaptics (Maybe
"linux-image-3.2.0-0.bpo.1-amd64 Version: 3.2.4-1~bpo60+1" is more
suitable?)
Version: 1.4.1-1~bpo60+1

My lenovo G360 has an ALPS touchpad, show in Windows 7 Home Editition
OEM in this laptop. Under Debian Squeeze in same laptop, the left and
right key, single and double tap, tracking  of touchpad works well.
But, there isn't touchpad tab in gnome mouse setting dialog, so I
can't setup edge scrolling and disable touchpad on typing. xinput
shows it is a "PS/2 Generic Mouse". Below is the detail information.

"synclient -l" shows:

Couldn't find synaptics properties. No synaptics driver loaded?

"xinput --list" shows:

 ⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳  USB OPTICAL MOUSE                      	id=11	[slave  pointer  (2)]
⎜   ↳ PS/2 Generic Mouse                      	id=14	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ Video Bus                               	id=7	[slave  keyboard (3)]
    ↳ Video Bus                               	id=8	[slave  keyboard (3)]
    ↳ Power Button                            	id=9	[slave  keyboard (3)]
    ↳ Sleep Button                            	id=10	[slave  keyboard (3)]
    ↳ Lenovo EasyCamera                       	id=12	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=13	[slave  keyboard (3)]
    ↳ Ideapad extra buttons                   	id=15	[slave  keyboard (3)]
    ↳ ACPI Virtual Keyboard Device            	id=16	[slave  keyboard (3)]


"cat /proc/bus/input/devices" shows (only post the section of "PS/2 Generic
Mouse"):
I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio4/input0
S: Sysfs=/devices/platform/i8042/serio4/input/input9
U: Uniq=
H: Handlers=mouse1 event9
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

Some related section in "/var/log/Xorg.0.log" is:

[    30.929] (II) config/udev: Adding input device PS/2 Generic Mouse
(/dev/input/event9)
[    30.929] (**) PS/2 Generic Mouse: Applying InputClass "evdev pointer
catchall"
[    30.929] (II) Using input driver 'evdev' for 'PS/2 Generic Mouse'
[    30.929] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    30.929] (**) PS/2 Generic Mouse: always reports core events
[    30.929] (**) PS/2 Generic Mouse: Device: "/dev/input/event9"
[    30.929] (--) PS/2 Generic Mouse: Found 3 mouse buttons
[    30.929] (--) PS/2 Generic Mouse: Found relative axes
[    30.929] (--) PS/2 Generic Mouse: Found x and y relative axes
[    30.929] (II) PS/2 Generic Mouse: Configuring as mouse
[    30.929] (**) PS/2 Generic Mouse: YAxisMapping: buttons 4 and 5
[    30.929] (**) PS/2 Generic Mouse: EmulateWheelButton: 4,
EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    30.929] (**) Option "config_info"
"udev:/sys/devices/platform/i8042/serio4/input/input9/event9"
[    30.929] (II) XINPUT: Adding extended input device "PS/2 Generic Mouse"
(type: MOUSE)
[    30.929] (II) PS/2 Generic Mouse: initialized for relative axes.
[    30.929] (**) PS/2 Generic Mouse: (accel) keeping acceleration scheme 1
[    30.929] (**) PS/2 Generic Mouse: (accel) acceleration profile 0
[    30.929] (**) PS/2 Generic Mouse: (accel) acceleration factor: 2.000
[    30.929] (**) PS/2 Generic Mouse: (accel) acceleration threshold: 4
[    30.930] (II) config/udev: Adding input device PS/2 Generic Mouse
(/dev/input/mouse1)

There is no touchpad or synaptics information in the "/var/log/Xorg.0.log"

System information:

Debian Squeeze, kernel: 3.2.0-0.bpo.1-amd64, and also test on kernel
3.4 compiled with "make oldconfig" based on
config-3.2.0-0.bpo.1-amd64, no lucky.

I have tried too many methods found on internet, such as:

1, add "psmouse.proto=imps(or exps)" into kernel parameters;

2, add file "etc/X11/xorg.d/10-synaptics.conf", the content as below:

Section "InputClass"
    Identifier      "touchpad catchall"
    Driver          "synaptics"
    MatchIsTouchpad "on"
    MatchDevicePath "/dev/input/event*"
    Option          "SHMConfig" "on"
    Option          "TapButton1" "1"
    Option          "TapButton2" "2"
    Option          "TapButton3" "3"
    Option          "VertTwoFingerScroll" "on"
    Option          "HorizTwoFingerScroll" "on"
EndSection

3, Tried patched psmouse.ko. I downloaded linux-source-3.2, and
applied patch found on
internet(Resend-Add-support-for-Intellimouse-Mode-in-ALPS-touchpad-on-Dell-E2-series-Laptops.patch,
see attachment), I have not use cat *.patch | patch -p1, just copy the
modified code into linux-source-3.2 and recompile psmouse.ko. But no
lucky.

My DMI information:

me@debian:/sys/class/dmi/id$ for file in *; do if [ -f "$file" -a -r
"$file" ]; then echo $file: `cat $file` ; fi; done
bios_date: 10/27/2011
bios_vendor: LENOVO
bios_version: 61CN06WW
board_asset_tag:
board_name: LL1
board_vendor: Lenovo
board_version: Rev 1.0
chassis_asset_tag: No Asset Tag
chassis_type: 10
chassis_vendor: Lenovo
chassis_version: Rev 1.0
modalias: dmi:bvnLENOVO:bvr61CN06WW:bd10/27/2011:svnLENOVO:pnG360:pvrRev1.0:rvnLenovo:rnLL1:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:
product_name: G360
product_version: Rev 1.0
sys_vendor: LENOVO
uevent: MODALIAS=dmi:bvnLENOVO:bvr61CN06WW:bd10/27/2011:svnLENOVO:pnG360:pvrRev1.0:rvnLenovo:rnLL1:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:

Tell me If need more detail information.
[Message part 2 (text/html, inline)]
[Resend-Add-support-for-Intellimouse-Mode-in-ALPS-touchpad-on-Dell-E2-series-Laptops.patch (application/octet-stream, attachment)]

Bug reassigned from package 'xserver-xorg-input-synaptics (maybe' to 'xserver-xorg-input-synaptics'. Request was from Gergely Nagy <algernon@madhouse-project.org> to control@bugs.debian.org. (Sun, 01 Jul 2012 12:48:39 GMT) Full text and rfc822 format available.

Marked as found in versions 1.4.1-1~bpo60+1. Request was from Gergely Nagy <algernon@madhouse-project.org> to control@bugs.debian.org. (Sun, 01 Jul 2012 12:48:40 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 01 Jul 2012 15:57:05 GMT) Full text and rfc822 format available.

Notification sent to littlebat <dashing.meng@gmail.com>:
Bug acknowledged by developer. (Sun, 01 Jul 2012 15:57:06 GMT) Full text and rfc822 format available.

Message #14 received at 679750-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: littlebat <dashing.meng@gmail.com>, 679750-done@bugs.debian.org
Subject: Re: Bug#679750: ALPS touchpad recognized as "PS/2 Generic Mouse"
Date: Sun, 1 Jul 2012 17:55:11 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul  1, 2012 at 18:10:47 +0800, littlebat wrote:

> Package: xserver-xorg-input-synaptics (Maybe
> "linux-image-3.2.0-0.bpo.1-amd64 Version: 3.2.4-1~bpo60+1" is more
> suitable?)
> Version: 1.4.1-1~bpo60+1
> 
> My lenovo G360 has an ALPS touchpad, show in Windows 7 Home Editition
> OEM in this laptop. Under Debian Squeeze in same laptop, the left and
> right key, single and double tap, tracking  of touchpad works well.
> But, there isn't touchpad tab in gnome mouse setting dialog, so I
> can't setup edge scrolling and disable touchpad on typing. xinput
> shows it is a "PS/2 Generic Mouse". Below is the detail information.
> 
Not an X bug, the name shown is whatever the kernel reports.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'xserver-xorg-input-synaptics' to 'src:linux'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 03:30:07 GMT) Full text and rfc822 format available.

No longer marked as found in versions 1.4.1-1~bpo60+1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 03:30:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 03:30:10 GMT) Full text and rfc822 format available.

Bug reopened Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 03:30:11 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/2.6.38-4, linux-2.6/3.2.4-1, linux-2.6/3.0.0-2, linux-2.6/3.2.1-1, linux/3.2.21-2, linux-2.6/3.0.0-4, and linux-2.6/3.1.1-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 03:30:13 GMT) Full text and rfc822 format available.

Merged 622231 679750 679844 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 03:30:17 GMT) Full text and rfc822 format available.

Merged 622231 679750 679844 680154 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 03:30:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Wed, 04 Jul 2012 03:30:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 Jul 2012 03:30:29 GMT) Full text and rfc822 format available.

Message #33 received at 679750@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: 679750@bugs.debian.org
Subject: Re: ALPS touchpad recognized as "PS/2 Generic Mouse"
Date: Wed, 4 Jul 2012 11:47:05 +0800
I reported it as a kernel bug at "ALPS Touchpad Recognized as "PS/2
Generic Mouse" under Debian Squeeze on Lenovo G360 Laptop(post
again)" http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680154

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Wed, 04 Jul 2012 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 Jul 2012 04:39:03 GMT) Full text and rfc822 format available.

Message #38 received at 679750@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: littlebat <dashing.meng@gmail.com>
Cc: 679750@bugs.debian.org
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"
Date: Tue, 3 Jul 2012 23:36:00 -0500
unmerge 622231
notfound 622231 linux-2.6/3.2.4-1
notfound 679750 linux-2.6/2.6.38-4 , linux-2.6/3.0.0-2 , linux-2.6/3.2.1-1 , linux/3.2.21-2 , linux-2.6/3.0.0-4 , linux-2.6/3.1.1-1
quit

littlebat wrote:

> 2, Bug 622231 appears occasionally.  My bug is stable, it is always
> here. 

Thanks.  Yeah, sounds like a different bug.

Similar questions to those in 622231 apply here:

 - Since this is a regression: is the regression in the kernel or in
   userspace?  (A squeeze kernel should work fine on wheezy/sid if you
   want to try it.)

   Do you know when the regression was introduced?  Some pre-compiled
   historical kernels are available from http://snapshot.debian.org/
   in case you have time to bisect through them to find the newest
   working and oldest non-working version.

 - How does 3.4.y from experimental behave?  If it reproduces the same
   bug, please send a summary of syptoms to
   linux-input@vger.kernel.org, cc-ing Seth Forshee
   <seth.forshee@canonical.com> and either me or this bug log so we
   can track it.  Hopefully someone upstream can give advice for
   demonstrating what is happening when it misdetects, for example
   using a kernel patch or by using "lsusb -v", usbmon, or some other
   facility.

Hope that helps,
Jonathan




Disconnected #622231 from all other report(s). Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 04:39:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions linux-2.6/2.6.38-4, linux-2.6/3.0.0-2, linux-2.6/3.2.1-1, linux/3.2.21-2, linux-2.6/3.0.0-4, and linux-2.6/3.1.1-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 04:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Thu, 05 Jul 2012 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 05 Jul 2012 03:03:03 GMT) Full text and rfc822 format available.

Message #47 received at 679750@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: linux-input@vger.kernel.org
Cc: seth.forshee@canonical.com, 679750@bugs.debian.org, jrnieder@gmail.com
Subject: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"
Date: Thu, 5 Jul 2012 10:58:34 +0800
[Message part 1 (text/plain, inline)]
found 679750 linux-2.6/2.6.32-45 , linux-2.6/3.2.4-1 , linux/3.4.4-1
quit

Hi,
Dear kernel developers.

According to the advice at " http://bugs.debian.org/679750 ", I report a
kernel bug about ALPS touchpad to you.

My lenovo G360 has an ALPS touchpad, show in Windows 7 Home Editition
OEM in this laptop. Under Debian Squeeze or Ubuntu 12.04 LTS LiveCD in same
laptop, the left and
right key, single and double tap, tracking  of touchpad works well.
But, there isn't touchpad tab in gnome mouse setting dialog, so I
can't setup edge scrolling and disable touchpad on typing. xinput
shows it is a "PS/2 Generic Mouse". Below is the detail information.

System information:

Debian Squeeze, tried kernel: 2.6.32-45, 3.2.4-1~bpo60+1,
3.4.4-1~experimental.1
And tried Ubuntu 12.04 LTS LiveCD, kernel: 3.2 (has the same bug as in
Debian)

The below information come from Debian Squeeze with 3.2.4-1~bpo60+1 kernel.
The other kerneld and sytem tried above should has the same result.

"synclient -l" shows:

Couldn't find synaptics properties. No synaptics driver loaded?

"xinput --list" shows:

 ⎡ Virtual core pointer                        id=2    [master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer                  id=4    [slave  pointer
(2)]
⎜   ↳  USB OPTICAL MOUSE                          id=11    [slave  pointer
(2)]
⎜   ↳ PS/2 Generic Mouse                          id=14    [slave  pointer
(2)]
⎣ Virtual core keyboard                       id=3    [master keyboard (2)]
    ↳ Virtual core XTEST keyboard                 id=5    [slave  keyboard
(3)]
    ↳ Power Button                                id=6    [slave  keyboard
(3)]
    ↳ Video Bus                                   id=7    [slave  keyboard
(3)]
    ↳ Video Bus                                   id=8    [slave  keyboard
(3)]
    ↳ Power Button                                id=9    [slave  keyboard
(3)]
    ↳ Sleep Button                                id=10    [slave  keyboard
(3)]
    ↳ Lenovo EasyCamera                           id=12    [slave  keyboard
(3)]
    ↳ AT Translated Set 2 keyboard                id=13    [slave  keyboard
(3)]
    ↳ Ideapad extra buttons                       id=15    [slave  keyboard
(3)]
    ↳ ACPI Virtual Keyboard Device                id=16    [slave  keyboard
(3)]


"cat /proc/bus/input/devices" shows (only post the section of "PS/2 Generic
Mouse"):
I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio4/input0
S: Sysfs=/devices/platform/i8042/serio4/input/input9
U: Uniq=
H: Handlers=mouse1 event9
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

Some related section in "/var/log/Xorg.0.log" is:

[    30.929] (II) config/udev: Adding input device PS/2 Generic Mouse
(/dev/input/event9)
[    30.929] (**) PS/2 Generic Mouse: Applying InputClass "evdev pointer
catchall"
[    30.929] (II) Using input driver 'evdev' for 'PS/2 Generic Mouse'
[    30.929] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    30.929] (**) PS/2 Generic Mouse: always reports core events
[    30.929] (**) PS/2 Generic Mouse: Device: "/dev/input/event9"
[    30.929] (--) PS/2 Generic Mouse: Found 3 mouse buttons
[    30.929] (--) PS/2 Generic Mouse: Found relative axes
[    30.929] (--) PS/2 Generic Mouse: Found x and y relative axes
[    30.929] (II) PS/2 Generic Mouse: Configuring as mouse
[    30.929] (**) PS/2 Generic Mouse: YAxisMapping: buttons 4 and 5
[    30.929] (**) PS/2 Generic Mouse: EmulateWheelButton: 4,
EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    30.929] (**) Option "config_info"
"udev:/sys/devices/platform/i8042/serio4/input/input9/event9"
[    30.929] (II) XINPUT: Adding extended input device "PS/2 Generic Mouse"
(type: MOUSE)
[    30.929] (II) PS/2 Generic Mouse: initialized for relative axes.
[    30.929] (**) PS/2 Generic Mouse: (accel) keeping acceleration scheme 1
[    30.929] (**) PS/2 Generic Mouse: (accel) acceleration profile 0
[    30.929] (**) PS/2 Generic Mouse: (accel) acceleration factor: 2.000
[    30.929] (**) PS/2 Generic Mouse: (accel) acceleration threshold: 4
[    30.930] (II) config/udev: Adding input device PS/2 Generic Mouse
(/dev/input/mouse1)

There is no touchpad or synaptics information in the "/var/log/Xorg.0.log"

I have tried too many methods found on internet, such as:

1, add "psmouse.proto=imps(or exps)" into kernel parameters;

2, add file "etc/X11/xorg.d/10-synaptics.conf", the content as below:

Section "InputClass"
    Identifier      "touchpad catchall"
    Driver          "synaptics"
    MatchIsTouchpad "on"
    MatchDevicePath "/dev/input/event*"
    Option          "SHMConfig" "on"
    Option          "TapButton1" "1"
    Option          "TapButton2" "2"
    Option          "TapButton3" "3"
    Option          "VertTwoFingerScroll" "on"
    Option          "HorizTwoFingerScroll" "on"
EndSection

3, Thanks to the help of "How to disable Alps touchpad while typing or when
using an external mouse in Linux" at:
http://www.imega.cz/Linux-Alps-Touchpad-Dell-E6410/Linux-Alps-touchpad-disable.php
I resolved the problem of "disable touchpad on typing" by using a python
script, but I can't make edge scrolling work yet.

According to the advice of the page above, I downloaded linux-source-3.2,
and applied patch at " https://patchwork.kernel.org/patch/118834/ "), I
have not use cat *.patch | patch -p1, just copy the modified code into
linux-source-3.2 and recompile psmouse.ko. But no lucky, edge scrolling
can't work.

4, etc..

My DMI information:

me@debian:/sys/class/dmi/id$ for file in *; do if [ -f "$file" -a -r
"$file" ]; then echo $file: `cat $file` ; fi; done
bios_date: 10/27/2011
bios_vendor: LENOVO
bios_version: 61CN06WW
board_asset_tag:
board_name: LL1
board_vendor: Lenovo
board_version: Rev 1.0
chassis_asset_tag: No Asset Tag
chassis_type: 10
chassis_vendor: Lenovo
chassis_version: Rev 1.0
modalias:
dmi:bvnLENOVO:bvr61CN06WW:bd10/27/2011:svnLENOVO:pnG360:pvrRev1.0:rvnLenovo:rnLL1:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:
product_name: G360
product_version: Rev 1.0
sys_vendor: LENOVO
uevent:
MODALIAS=dmi:bvnLENOVO:bvr61CN06WW:bd10/27/2011:svnLENOVO:pnG360:pvrRev1.0:rvnLenovo:rnLL1:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:

Tell me If need more detail information.

Thanks.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Thu, 05 Jul 2012 03:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 05 Jul 2012 03:15:03 GMT) Full text and rfc822 format available.

Message #52 received at 679750@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: linux-input@vger.kernel.org
Cc: seth.forshee@canonical.com, 679750@bugs.debian.org, jrnieder@gmail.com
Subject: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"
Date: Thu, 5 Jul 2012 11:30:57 +0800
found 679750 linux-2.6/2.6.32-45 , linux-2.6/3.2.4-1 , linux/3.4.4-1
quit

Because send by web gmail.com has html content so failed send to
linux-input@vger.kernel.org at first time, so send again.

Hi,
Dear kernel developers.

According to the advice at " http://bugs.debian.org/679750 ", I report
a kernel bug about ALPS touchpad to you.

My lenovo G360 has an ALPS touchpad, show in Windows 7 Home Editition
OEM in this laptop. Under Debian Squeeze in same laptop, the left and
right key, single and double tap, tracking  of touchpad works well.
But, there isn't touchpad tab in gnome mouse setting dialog, so I
can't setup edge scrolling and disable touchpad on typing. xinput
shows it is a "PS/2 Generic Mouse". Below is the detail information.

System information:

Debian Squeeze, tried kernel: 2.6.32-45, 3.2.4-1~bpo60+1,
3.4.4-1~experimental.1 And tried Ubuntu 12.04 LTS LiveCD, kernel: 3.2
(has the same bug as in Debian)

"synclient -l" shows:

Couldn't find synaptics properties. No synaptics driver loaded?

"xinput --list" shows:
⎡ Virtual core pointer                    	id=2	[master
pointer  (3)] ⎜   ↳ Virtual core XTEST pointer
id=4	[slave  pointer  (2)] ⎜   ↳ USB
Mouse                               	id=10	[slave
pointer  (2)] ⎜   ↳ ETPS/2 Elantech Touchpad
id=14	[slave  pointer  (2)] ⎣ Virtual core
keyboard                   	id=3	[master keyboard (2)] ↳
Virtual core XTEST keyboard             	id=5	[slave
keyboard (3)] ↳ Power Button
id=6	[slave  keyboard (3)] ↳ Video
Bus                               	id=7	[slave  keyboard
(3)] ↳ Power Button                            	id=8
[slave  keyboard (3)] ↳ Sleep Button
id=9	[slave  keyboard (3)] ↳
Digital_Camera                          	id=11	[slave
keyboard (3)] ↳ Asus EeePC extra buttons
id=12	[slave  keyboard (3)] ↳ AT Translated Set 2
keyboard            	id=13	[slave  keyboard (3)] ↳ ACPI
Virtual Keyboard Device            	id=15	[slave
keyboard (3)]

"cat /proc/bus/input/devices" shows (only post the section of "PS/2
Generic Mouse"):
I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio4/input0
S: Sysfs=/devices/platform/i8042/serio4/input/input9
U: Uniq=
H: Handlers=mouse1 event9
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

Some related section in "/var/log/Xorg.0.log" is:

[    30.929] (II) config/udev: Adding input device PS/2 Generic Mouse
(/dev/input/event9)
[    30.929] (**) PS/2 Generic Mouse: Applying InputClass "evdev pointer
catchall"
[    30.929] (II) Using input driver 'evdev' for 'PS/2 Generic Mouse'
[    30.929] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    30.929] (**) PS/2 Generic Mouse: always reports core events
[    30.929] (**) PS/2 Generic Mouse: Device: "/dev/input/event9"
[    30.929] (--) PS/2 Generic Mouse: Found 3 mouse buttons
[    30.929] (--) PS/2 Generic Mouse: Found relative axes
[    30.929] (--) PS/2 Generic Mouse: Found x and y relative axes
[    30.929] (II) PS/2 Generic Mouse: Configuring as mouse
[    30.929] (**) PS/2 Generic Mouse: YAxisMapping: buttons 4 and 5
[    30.929] (**) PS/2 Generic Mouse: EmulateWheelButton: 4,
EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    30.929] (**) Option "config_info"
"udev:/sys/devices/platform/i8042/serio4/input/input9/event9"
[    30.929] (II) XINPUT: Adding extended input device "PS/2 Generic
Mouse" (type: MOUSE)
[    30.929] (II) PS/2 Generic Mouse: initialized for relative axes.
[    30.929] (**) PS/2 Generic Mouse: (accel) keeping acceleration
scheme 1 [    30.929] (**) PS/2 Generic Mouse: (accel) acceleration
profile 0 [    30.929] (**) PS/2 Generic Mouse: (accel) acceleration
factor: 2.000 [    30.929] (**) PS/2 Generic Mouse: (accel)
acceleration threshold: 4 [    30.930] (II) config/udev: Adding input
device PS/2 Generic Mouse (/dev/input/mouse1)

There is no touchpad or synaptics information in the
"/var/log/Xorg.0.log"

I have tried too many methods found on internet, such as:

1, add "psmouse.proto=imps(or exps)" into kernel parameters;

2, add file "etc/X11/xorg.d/10-synaptics.conf", the content as below:

Section "InputClass"
    Identifier      "touchpad catchall"
    Driver          "synaptics"
    MatchIsTouchpad "on"
    MatchDevicePath "/dev/input/event*"
    Option          "SHMConfig" "on"
    Option          "TapButton1" "1"
    Option          "TapButton2" "2"
    Option          "TapButton3" "3"
    Option          "VertTwoFingerScroll" "on"
    Option          "HorizTwoFingerScroll" "on"
EndSection

3, Thanks to the help of "How to disable Alps touchpad while typing or
when using an external mouse in Linux" at:
http://www.imega.cz/Linux-Alps-Touchpad-Dell-E6410/Linux-Alps-touchpad-disable.php
I resolved the problem of "disable touchpad on typing" by using a
python script, but I can't make edge scrolling work yet. 

According to the advice of the page above, I downloaded
linux-source-3.2, and applied patch at "
https://patchwork.kernel.org/patch/118834/ ": patch name:
Resend-Add-support-for-Intellimouse-Mode-in-ALPS-touchpad-on-Dell-E2-series-Laptops.patch,
see attachment), I have not use cat *.patch | patch -p1, just copy the
modified code into linux-source-3.2 and recompile psmouse.ko. But no
lucky, edge scrolling can't work.

My DMI information:

me@debian:/sys/class/dmi/id$ for file in *; do if [ -f "$file" -a -r
"$file" ]; then echo $file: `cat $file` ; fi; done
bios_date: 10/27/2011
bios_vendor: LENOVO
bios_version: 61CN06WW
board_asset_tag:
board_name: LL1
board_vendor: Lenovo
board_version: Rev 1.0
chassis_asset_tag: No Asset Tag
chassis_type: 10
chassis_vendor: Lenovo
chassis_version: Rev 1.0
modalias:
dmi:bvnLENOVO:bvr61CN06WW:bd10/27/2011:svnLENOVO:pnG360:pvrRev1.0:rvnLenovo:rnLL1:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:
product_name: G360 product_version: Rev 1.0
sys_vendor: LENOVO
uevent:
MODALIAS=dmi:bvnLENOVO:bvr61CN06WW:bd10/27/2011:svnLENOVO:pnG360:pvrRev1.0:rvnLenovo:rnLL1:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:

Tell me If need more detail information.

Thanks.




Marked as found in versions linux/3.4.4-1 and linux-2.6/2.6.32-45. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 Jul 2012 03:30:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions linux/3.4.4-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 Jul 2012 03:36:03 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.4.4-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 Jul 2012 03:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Thu, 05 Jul 2012 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 05 Jul 2012 07:30:03 GMT) Full text and rfc822 format available.

Message #63 received at 679750@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: linux-input@vger.kernel.org, seth.forshee@canonical.com, 679750@bugs.debian.org
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"
Date: Thu, 5 Jul 2012 15:45:45 +0800
On Wed, 4 Jul 2012 22:20:09 -0500
Jonathan Nieder <jrnieder@gmail.com> wrote:

> (dropping Debian bug from cc list)
> Hi,
> 
> littlebat wrote:
> 
> >                                                               I
> > report a kernel bug about ALPS touchpad to you.
> >
> > My lenovo G360 has an ALPS touchpad, show in Windows 7 Home
> > Editition OEM in this laptop. Under Debian Squeeze or Ubuntu 12.04
> > LTS LiveCD in same laptop, the left and
> > right key, single and double tap, tracking  of touchpad works well.
> > But, there isn't touchpad tab in gnome mouse setting dialog, so I
> > can't setup edge scrolling and disable touchpad on typing. xinput
> > shows it is a "PS/2 Generic Mouse".
> [...]
> > Tell me If need more detail information.
> 
> Thanks.  Forgive me for being dense: can you spell this out a little
> more for me?
> 
> Is the following summary correct?
> 
>  - 2.6.32.y (Debian squeeze) works well, using xinput or synclient to
>    configure
>  - 3.2.y (Ubuntu 12.04 LTS) sees a generic mouse, unconfigurable
>  - 3.2.y (Debian squeeze-backports) is likewise unconfigurable
>  - 3.4.4 (Debian experimental) is also unconfigurable

No, none of these four kernels can configure a full functional ALPS
touchpad. Under all of these four kernels:
1, "synclient -l" shows "Couldn't find synaptics properties. No
synaptics driver loaded? "
2, "xinput --list" shows it is a "PS/2 Generic Mouse"
3, "cat /proc/bus/input/devices" shows it is "N: Name="PS/2 Generic
Mouse""
4, Can't find any string like "touchpad", "synaptics" in
"/var/log/Xorg.0.log" 
5, There isn't touchpad tab in gnome mouse setting dialog, so I
can't setup edge scrolling and disable touchpad on typing.

> Could you provide full "dmesg" output from booting a working and
> non-working kernel?

The laptop isn't here, I will post full "dmesg" output under "3.4.4
(Debian experimental)" kernel later.

Thanks. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Thu, 05 Jul 2012 07:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 05 Jul 2012 07:48:04 GMT) Full text and rfc822 format available.

Message #68 received at 679750@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: linux-input@vger.kernel.org
Cc: seth.forshee@canonical.com, 679750@bugs.debian.org, jrnieder@gmail.com
Subject: Re: Bug#679750: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"
Date: Thu, 5 Jul 2012 16:00:37 +0800
Very sorry, I post the wrong "xinput --list" information, it's my Asus
EEEPC. Here's the correct "xinput --list" information of my Lenovo G360:

 ⎡ Virtual core pointer                    	id=2	[master
pointer  (3)] ⎜   ↳ Virtual core XTEST pointer
id=4	[slave  pointer  (2)] ⎜   ↳  USB OPTICAL
MOUSE                      	id=11	[slave  pointer  (2)]
⎜   ↳ PS/2 Generic Mouse                      	id=14
[slave  pointer  (2)] ⎣ Virtual core keyboard
id=3	[master keyboard (2)] ↳ Virtual core XTEST
keyboard             	id=5	[slave  keyboard (3)] ↳ Power
Button                            	id=6	[slave  keyboard
(3)] ↳ Video Bus                               	id=7
[slave  keyboard (3)] ↳ Video Bus
id=8	[slave  keyboard (3)] ↳ Power
Button                            	id=9	[slave  keyboard
(3)] ↳ Sleep Button                            	id=10
[slave  keyboard (3)] ↳ Lenovo EasyCamera
id=12	[slave  keyboard (3)] ↳ AT Translated Set 2
keyboard            	id=13	[slave  keyboard (3)] ↳
Ideapad extra buttons                   	id=15	[slave
keyboard (3)] ↳ ACPI Virtual Keyboard Device
id=16	[slave  keyboard (3)]

On Thu, 5 Jul 2012 11:30:57 +0800
littlebat <dashing.meng@gmail.com> wrote:

> found 679750 linux-2.6/2.6.32-45 , linux-2.6/3.2.4-1 , linux/3.4.4-1
> quit
> 
> Because send by web gmail.com has html content so failed send to
> linux-input@vger.kernel.org at first time, so send again.
> 
> Hi,
> Dear kernel developers.
> 
> According to the advice at " http://bugs.debian.org/679750 ", I report
> a kernel bug about ALPS touchpad to you.
> 
> My lenovo G360 has an ALPS touchpad, show in Windows 7 Home Editition
> OEM in this laptop. Under Debian Squeeze in same laptop, the left and
> right key, single and double tap, tracking  of touchpad works well.
> But, there isn't touchpad tab in gnome mouse setting dialog, so I
> can't setup edge scrolling and disable touchpad on typing. xinput
> shows it is a "PS/2 Generic Mouse". Below is the detail information.
> 
> System information:
> 
> Debian Squeeze, tried kernel: 2.6.32-45, 3.2.4-1~bpo60+1,
> 3.4.4-1~experimental.1 And tried Ubuntu 12.04 LTS LiveCD, kernel: 3.2
> (has the same bug as in Debian)
> 
> "synclient -l" shows:
> 
> Couldn't find synaptics properties. No synaptics driver loaded?
> 
> "xinput --list" shows:
> ⎡ Virtual core pointer                    	id=2
> [master pointer  (3)] ⎜   ↳ Virtual core XTEST pointer
> id=4	[slave  pointer  (2)] ⎜   ↳ USB
> Mouse                               	id=10	[slave
> pointer  (2)] ⎜   ↳ ETPS/2 Elantech Touchpad
> id=14	[slave  pointer  (2)] ⎣ Virtual core
> keyboard                   	id=3	[master keyboard (2)]
> ↳ Virtual core XTEST keyboard             	id=5	[slave
> keyboard (3)] ↳ Power Button
> id=6	[slave  keyboard (3)] ↳ Video
> Bus                               	id=7	[slave  keyboard
> (3)] ↳ Power Button                            	id=8
> [slave  keyboard (3)] ↳ Sleep Button
> id=9	[slave  keyboard (3)] ↳
> Digital_Camera                          	id=11	[slave
> keyboard (3)] ↳ Asus EeePC extra buttons
> id=12	[slave  keyboard (3)] ↳ AT Translated Set 2
> keyboard            	id=13	[slave  keyboard (3)] ↳
> ACPI Virtual Keyboard Device            	id=15	[slave
> keyboard (3)]
> 

> "cat /proc/bus/input/devices" shows (only post the section of "PS/2
> Generic Mouse"):
> I: Bus=0011 Vendor=0002 Product=0001 Version=0000
> N: Name="PS/2 Generic Mouse"
> P: Phys=isa0060/serio4/input0
> S: Sysfs=/devices/platform/i8042/serio4/input/input9
> U: Uniq=
> H: Handlers=mouse1 event9
> B: PROP=0
> B: EV=7
> B: KEY=70000 0 0 0 0
> B: REL=3
> 
> Some related section in "/var/log/Xorg.0.log" is:
> 
> [    30.929] (II) config/udev: Adding input device PS/2 Generic Mouse
> (/dev/input/event9)
> [    30.929] (**) PS/2 Generic Mouse: Applying InputClass "evdev
> pointer catchall"
> [    30.929] (II) Using input driver 'evdev' for 'PS/2 Generic Mouse'
> [    30.929] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> [    30.929] (**) PS/2 Generic Mouse: always reports core events
> [    30.929] (**) PS/2 Generic Mouse: Device: "/dev/input/event9"
> [    30.929] (--) PS/2 Generic Mouse: Found 3 mouse buttons
> [    30.929] (--) PS/2 Generic Mouse: Found relative axes
> [    30.929] (--) PS/2 Generic Mouse: Found x and y relative axes
> [    30.929] (II) PS/2 Generic Mouse: Configuring as mouse
> [    30.929] (**) PS/2 Generic Mouse: YAxisMapping: buttons 4 and 5
> [    30.929] (**) PS/2 Generic Mouse: EmulateWheelButton: 4,
> EmulateWheelInertia: 10, EmulateWheelTimeout: 200
> [    30.929] (**) Option "config_info"
> "udev:/sys/devices/platform/i8042/serio4/input/input9/event9"
> [    30.929] (II) XINPUT: Adding extended input device "PS/2 Generic
> Mouse" (type: MOUSE)
> [    30.929] (II) PS/2 Generic Mouse: initialized for relative axes.
> [    30.929] (**) PS/2 Generic Mouse: (accel) keeping acceleration
> scheme 1 [    30.929] (**) PS/2 Generic Mouse: (accel) acceleration
> profile 0 [    30.929] (**) PS/2 Generic Mouse: (accel) acceleration
> factor: 2.000 [    30.929] (**) PS/2 Generic Mouse: (accel)
> acceleration threshold: 4 [    30.930] (II) config/udev: Adding input
> device PS/2 Generic Mouse (/dev/input/mouse1)
> 
> There is no touchpad or synaptics information in the
> "/var/log/Xorg.0.log"
> 
> I have tried too many methods found on internet, such as:
> 
> 1, add "psmouse.proto=imps(or exps)" into kernel parameters;
> 
> 2, add file "etc/X11/xorg.d/10-synaptics.conf", the content as below:
> 
> Section "InputClass"
>     Identifier      "touchpad catchall"
>     Driver          "synaptics"
>     MatchIsTouchpad "on"
>     MatchDevicePath "/dev/input/event*"
>     Option          "SHMConfig" "on"
>     Option          "TapButton1" "1"
>     Option          "TapButton2" "2"
>     Option          "TapButton3" "3"
>     Option          "VertTwoFingerScroll" "on"
>     Option          "HorizTwoFingerScroll" "on"
> EndSection
> 
> 3, Thanks to the help of "How to disable Alps touchpad while typing or
> when using an external mouse in Linux" at:
> http://www.imega.cz/Linux-Alps-Touchpad-Dell-E6410/Linux-Alps-touchpad-disable.php
> I resolved the problem of "disable touchpad on typing" by using a
> python script, but I can't make edge scrolling work yet. 
> 
> According to the advice of the page above, I downloaded
> linux-source-3.2, and applied patch at "
> https://patchwork.kernel.org/patch/118834/ ": patch name:
> Resend-Add-support-for-Intellimouse-Mode-in-ALPS-touchpad-on-Dell-E2-series-Laptops.patch,
> see attachment), I have not use cat *.patch | patch -p1, just copy the
> modified code into linux-source-3.2 and recompile psmouse.ko. But no
> lucky, edge scrolling can't work.
> 
> My DMI information:
> 
> me@debian:/sys/class/dmi/id$ for file in *; do if [ -f "$file" -a -r
> "$file" ]; then echo $file: `cat $file` ; fi; done
> bios_date: 10/27/2011
> bios_vendor: LENOVO
> bios_version: 61CN06WW
> board_asset_tag:
> board_name: LL1
> board_vendor: Lenovo
> board_version: Rev 1.0
> chassis_asset_tag: No Asset Tag
> chassis_type: 10
> chassis_vendor: Lenovo
> chassis_version: Rev 1.0
> modalias:
> dmi:bvnLENOVO:bvr61CN06WW:bd10/27/2011:svnLENOVO:pnG360:pvrRev1.0:rvnLenovo:rnLL1:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:
> product_name: G360 product_version: Rev 1.0
> sys_vendor: LENOVO
> uevent:
> MODALIAS=dmi:bvnLENOVO:bvr61CN06WW:bd10/27/2011:svnLENOVO:pnG360:pvrRev1.0:rvnLenovo:rnLL1:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:
> 
> Tell me If need more detail information.
> 
> Thanks.
> 
> 
> 
> -- 
> To unsubscribe, send mail to 679750-unsubscribe@bugs.debian.org.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Thu, 05 Jul 2012 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rik Theys <rik.theys@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 05 Jul 2012 09:18:05 GMT) Full text and rfc822 format available.

Message #73 received at 679750@bugs.debian.org (full text, mbox):

From: Rik Theys <rik.theys@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>, dashing.meng@gmail.com
Cc: linux-input@vger.kernel.org, seth.forshee@canonical.com, 679750@bugs.debian.org
Subject: Bug#679750: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"
Date: Thu, 5 Jul 2012 11:15:38 +0200
Hi,

I believe this is the same bug as launchpad bug 606238:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/606238

The bug discusses various Dell laptops with ALPS touchpad that don't
work. They now work in the ubuntu 12.04 kernel (and I believe upstream
as well), but some (such as the one found in an Inspiron 15R N5110)
still don't work because they use yet another protocol version.

Regards,

Rik




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Thu, 05 Jul 2012 13:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Seth Forshee <seth.forshee@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 05 Jul 2012 13:33:05 GMT) Full text and rfc822 format available.

Message #78 received at 679750@bugs.debian.org (full text, mbox):

From: Seth Forshee <seth.forshee@canonical.com>
To: littlebat <dashing.meng@gmail.com>
Cc: Jonathan Nieder <jrnieder@gmail.com>, linux-input@vger.kernel.org, 679750@bugs.debian.org
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"
Date: Thu, 5 Jul 2012 08:30:36 -0500
On Thu, Jul 05, 2012 at 03:45:45PM +0800, littlebat wrote:
> > Is the following summary correct?
> > 
> >  - 2.6.32.y (Debian squeeze) works well, using xinput or synclient to
> >    configure
> >  - 3.2.y (Ubuntu 12.04 LTS) sees a generic mouse, unconfigurable
> >  - 3.2.y (Debian squeeze-backports) is likewise unconfigurable
> >  - 3.4.4 (Debian experimental) is also unconfigurable
> 
> No, none of these four kernels can configure a full functional ALPS
> touchpad. Under all of these four kernels:
> 1, "synclient -l" shows "Couldn't find synaptics properties. No
> synaptics driver loaded? "
> 2, "xinput --list" shows it is a "PS/2 Generic Mouse"
> 3, "cat /proc/bus/input/devices" shows it is "N: Name="PS/2 Generic
> Mouse""
> 4, Can't find any string like "touchpad", "synaptics" in
> "/var/log/Xorg.0.log" 
> 5, There isn't touchpad tab in gnome mouse setting dialog, so I
> can't setup edge scrolling and disable touchpad on typing.

ALPS refuses to provide information about their touchpad protocols, so
any support we have for ALPS touchpads is based on reverse engineering
the protocol. It's likely that yours uses some version of the protocol
that isn't supported, in which case someone with access to the hardware
will need to do the reverse engineering work.

There's a slight chance that it uses a known protocol but just has an
unknown model signature. In that case the fix is easy, but it will
require some trial and error to see if that's the case.

> > Could you provide full "dmesg" output from booting a working and
> > non-working kernel?
> 
> The laptop isn't here, I will post full "dmesg" output under "3.4.4
> (Debian experimental)" kernel later.

When you send dmesg it would help if you could use a build with the
following line added to the top of drivers/input/mouse/alps.c, before
the includes.

 #define DEBUG

This will cause the model signature for your touchpad to be included in
the log.

Thanks,
Seth





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Fri, 06 Jul 2012 03:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 06 Jul 2012 03:27:04 GMT) Full text and rfc822 format available.

Message #83 received at 679750@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: seth.forshee@canonical.com, linux-input@vger.kernel.org
Cc: 679750@bugs.debian.org, jrnieder@gmail.com, rik.theys@gmail.com
Subject: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"(with newly dmesg information)
Date: Fri, 6 Jul 2012 11:39:42 +0800
[Message part 1 (text/plain, inline)]
Hi,

Because linux-input@vger.kernel.org is a mail list, I must register to
it for sending bug report. So all the posts about this bug sent to it
before had never reach it. I re-organize the text and report this bug to
linux-input@vger.kernel.org again when post my newly demsg information
under a recompiled 3.4 kernel with added "#DEFINE DEBUG" to the top of
"drivers/input/mouse/alps.c" adviced by seth.forshee@canonical.com. 

I think I am reporting a kernel bug about ALPS touchpad on Lenovo
G360.

This bug was reported at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679750 first.

My lenovo G360 has an ALPS touchpad, shows in Windows 7 Home Editition
OEM in this laptop. Under Debian Squeeze and Ubuntu 12.04 LTS LiveCD in
same laptop, the left and right key, single and double tap, tracking  of
touchpad works well. But, there isn't touchpad tab in gnome mouse
setting dialog, so I can't setup edge scrolling and disable touchpad on
typing. xinput shows it is a "PS/2 Generic Mouse". 

I have tried kernels 2.6.32-45, 3.2.4-1~bpo60+1,
3.4.4-1~experimental.1 under Debian Squeeze and kernel 3.2 under
Ubuntu 12.04 LTS LiveCD on this Lenovo G360 laptop. None of these four
kernels can configure a full functional ALPS touchpad. There are
same syptoms under all of these four kernels: 

1, "synclient -l" shows "Couldn't find synaptics properties. No
synaptics driver loaded? " 
2, "xinput --list" shows it is a "PS/2 Generic Mouse" 
3, "cat /proc/bus/input/devices" shows it is "N: Name="PS/2 Generic
Mouse"" 
4, Can't find any string like "touchpad", "synaptics" in
"/var/log/Xorg.0.log" 
5, There isn't touchpad tab in gnome mouse setting dialog, so I can't
setup edge scrolling and disable touchpad on typing. 

Under the kernel 3.2.4-1~bpo60+1 on Debian Squeeze, I have tried many
ways to fix this problem, but no lucky. The ways I tried such as:
1, add "psmouse.proto=imps(or exps)" into kernel parameters;
2, add file "etc/X11/xorg.d/10-synaptics.conf", the content as below:
Section "InputClass"
    Identifier      "touchpad catchall"
    Driver          "synaptics"
    MatchIsTouchpad "on"
    MatchDevicePath "/dev/input/event*"
    Option          "SHMConfig" "on"
    Option          "TapButton1" "1"
    Option          "TapButton2" "2"
    Option          "TapButton3" "3"
    Option          "VertTwoFingerScroll" "on"
    Option          "HorizTwoFingerScroll" "on"
EndSection
3, Thanks to the help of "How to disable Alps touchpad while typing or
when using an external mouse in Linux" at:
http://www.imega.cz/Linux-Alps-Touchpad-Dell-E6410/Linux-Alps-touchpad-disable.php
I resolved the problem of "disable touchpad on typing" by using a
python script, but I can't make edge scrolling work yet. 
According to the advice of the page above, I downloaded
linux-source-3.2, and applied patch at
"https://patchwork.kernel.org/patch/118834/ ": patch name:
Resend-Add-support-for-Intellimouse-Mode-in-ALPS-touchpad-on-Dell-E2-series-Laptops.patch,
see attachment), I have not used cat *.patch | patch -p1, just copy the
modified code into linux-source-3.2 and recompile psmouse.ko. But no
lucky, edge scrolling still can't work.
4, etc..

There are six attachments in this report.
Note: All of them got under running recompiled linux_3.4.4.orig.tar.xz
source on Debian Squeeze, compiled kernel linux_3.4.4.orig.tar.xz
source without pacthing debian pacthes under kernel 3.2.4-1~bpo60+1,I
don't know how to patch them. I added "#define DEBUG" to the top of
"drivers/input/mouse/alps.c" of source of kernel
linux_3.4.4.orig.tar.xz. according to the advice at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679750#78 
The kernel downloaded from:
http://snapshot.debian.org/archive/debian/20120626T221453Z/pool/main/l/linux/linux_3.4.4.orig.tar.xz

1, output of command "xinput list--long": xinputlist.txt 
2, output of command "cat /proc/bus/input/devices": inputdevices.txt
3, /var/log/Xorg.0.log: Xorg.0.log 
4, output of command "dmesg": dmesg.txt 
5, output of command "for file in /sys/class/dmi/id/*; do if [ -f
"$file" -a -r "$file" ]; then echo $file: `cat $file` ; fi; done":
DMI.txt 
6, kernel config file, borrowed from
linux-image-3.4-trunk-amd64_3.4.4-1~experimental.1_amd64.deb:
config-3.4.4debugpsmouse

I found these lines in my dmesg information:
[   19.995850] psmouse serio4: alps: E6 report: 00 00 64
[   20.021288] psmouse serio4: alps: E7 report: 73 03 50
[   20.623609] input: PS/2 Generic Mouse
as /devices/platform/i8042/serio4/input/input9

Tell me If need more detail information.

Thanks.
[config-3.4.4debugpsmouse (application/octet-stream, attachment)]
[dmesg.txt (text/plain, attachment)]
[DMI.txt (text/plain, attachment)]
[inputdevices.txt (text/plain, attachment)]
[xinputlist.txt (text/plain, attachment)]
[Xorg.0.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Fri, 06 Jul 2012 05:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Seth Forshee <seth.forshee@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 06 Jul 2012 05:15:06 GMT) Full text and rfc822 format available.

Message #88 received at 679750@bugs.debian.org (full text, mbox):

From: Seth Forshee <seth.forshee@canonical.com>
To: littlebat <dashing.meng@gmail.com>
Cc: linux-input@vger.kernel.org, 679750@bugs.debian.org, jrnieder@gmail.com, rik.theys@gmail.com
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"(with newly dmesg information)
Date: Fri, 6 Jul 2012 00:11:41 -0500
[Message part 1 (text/plain, inline)]
On Fri, Jul 06, 2012 at 11:39:42AM +0800, littlebat wrote:
> I found these lines in my dmesg information:
> [   19.995850] psmouse serio4: alps: E6 report: 00 00 64
> [   20.021288] psmouse serio4: alps: E7 report: 73 03 50
> [   20.623609] input: PS/2 Generic Mouse
> as /devices/platform/i8042/serio4/input/input9

Thanks, this is the information we need to check whether or not your
touchpad uses any of the known ALPS protocols.

I'm attaching a patch to use as a starting point. Basically we're just
going to try each protocol version until either we find one that works
or run out of options. You should have an external mouse available,
because it's likely that your touchpad will not be usable. I've also
heard that some of the workarounds that people use to get the "disable
touchpad while typing" behavior can cause the touchpad to no longer
function once it starts behaving as a touchpad, so you should look out
for that as well.

I won't be able to respond further until next Monday, but it's pretty
simple to modify the driver to try different protocol versions so I'll
give you some instructions. The patch adds the following line. I've
identified the two fields you'll need to change.

    { { 0x73, 0x03, 0x50 }, 0x8a, ALPS_PROTO_V4, 0x8f, 0x8f, 0 },
                              ^         ^
                              |         |
                    command_mode_resp   |
                                  proto_version

Not surprisingly, to try different protocol versions you just need to
change the proto_version field. Try ALPS_PROTO_V4 first, if that doesn't
work try ALPS_PROTO_V3, etc., until you've tried them all or found one
that works.

The first time you run the patch though you need to be on the lookout
for a message in dmesg that says "Unknown command mode response"
followed by two hex digits. If you see this then you need to change
command_mode_resp to match the response printed in the message. Be sure
to leave the 0x characters in place; only replace the 8a characters.
Then try the same protocol version again.

The basic test procedure after booting with a test version of the driver
is:

 1. Check dmesg for any errors from the alps driver. If you see anything
    other than the "Unknown command mode response" message then it
    probably means your touchpad doesn't use that protocol version, so
    you should move on to the next one. If the device name isn't showing
    up as something with ALPS in it, that also indicates your device
    isn't using that version.

 2. Thoroughly test the touchpad. You may see erratic behavior -- the
    pointer jumping around, random clicks, etc -- which means it's using
    a different protocol.

If you find a protocol version that works, let me know and I'll help get
it added to the driver. If you don't then there's not much more I can do
to help without hardware.

Seth
[alps-test.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Sat, 07 Jul 2012 05:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 07 Jul 2012 05:21:03 GMT) Full text and rfc822 format available.

Message #93 received at 679750@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: Seth Forshee <seth.forshee@canonical.com>
Cc: linux-input@vger.kernel.org, 679750@bugs.debian.org, jrnieder@gmail.com, rik.theys@gmail.com
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"(with newly dmesg information)
Date: Sat, 7 Jul 2012 13:35:19 +0800
[Message part 1 (text/plain, inline)]
On Fri, 6 Jul 2012 00:11:41 -0500
Seth Forshee <seth.forshee@canonical.com> wrote:

> On Fri, Jul 06, 2012 at 11:39:42AM +0800, littlebat wrote:
> > I found these lines in my dmesg information:
> > [   19.995850] psmouse serio4: alps: E6 report: 00 00 64
> > [   20.021288] psmouse serio4: alps: E7 report: 73 03 50
> > [   20.623609] input: PS/2 Generic Mouse
> > as /devices/platform/i8042/serio4/input/input9
> 
> Thanks, this is the information we need to check whether or not your
> touchpad uses any of the known ALPS protocols.
> 
> I'm attaching a patch to use as a starting point. Basically we're just
> going to try each protocol version until either we find one that works
> or run out of options. You should have an external mouse available,
> because it's likely that your touchpad will not be usable. I've also
> heard that some of the workarounds that people use to get the "disable
> touchpad while typing" behavior can cause the touchpad to no longer
> function once it starts behaving as a touchpad, so you should look out
> for that as well.
> 
> I won't be able to respond further until next Monday, but it's pretty
> simple to modify the driver to try different protocol versions so I'll
> give you some instructions. The patch adds the following line. I've
> identified the two fields you'll need to change.
> 
>     { { 0x73, 0x03, 0x50 }, 0x8a, ALPS_PROTO_V4, 0x8f, 0x8f, 0 },
>                               ^         ^
>                               |         |
>                     command_mode_resp   |
>                                   proto_version
> 
> Not surprisingly, to try different protocol versions you just need to
> change the proto_version field. Try ALPS_PROTO_V4 first, if that
> doesn't work try ALPS_PROTO_V3, etc., until you've tried them all or
> found one that works.
> 
> The first time you run the patch though you need to be on the lookout
> for a message in dmesg that says "Unknown command mode response"
> followed by two hex digits. If you see this then you need to change
> command_mode_resp to match the response printed in the message. Be
> sure to leave the 0x characters in place; only replace the 8a
> characters. Then try the same protocol version again.
> 
> The basic test procedure after booting with a test version of the
> driver is:
> 
>  1. Check dmesg for any errors from the alps driver. If you see
> anything other than the "Unknown command mode response" message then
> it probably means your touchpad doesn't use that protocol version, so
>     you should move on to the next one. If the device name isn't
> showing up as something with ALPS in it, that also indicates your
> device isn't using that version.
> 
>  2. Thoroughly test the touchpad. You may see erratic behavior -- the
>     pointer jumping around, random clicks, etc -- which means it's
> using a different protocol.
> 
> If you find a protocol version that works, let me know and I'll help
> get it added to the driver. If you don't then there's not much more I
> can do to help without hardware.

Thanks.

I have changed "proto_version" from V4 to V1, and changed
"command_mode_resp" to 0x73(followed by unknown response while entering
command mode: 73 01 0d) or 0x8a, 0x00, etc.. But, none of them works.

Briefly, "proto_version" V4 with "command_mode_resp" 0x00, 0x01, 0x73,
0x0d and V3 with 0x0d, 0x73, show the almost same symptoms:
1, dmesg output:
[   19.105550] psmouse serio4: alps: E6 report: 00 00 64
[   19.130028] psmouse serio4: alps: E7 report: 73 03 50
[   19.149304] psmouse serio4: alps: unknown response while entering
command mode: 73 01 0d 
[   19.149311] psmouse serio4: alps: touchpad failed to enter command
mode
2, xinput --list shows it is a "PS/2 Generic Mouse"
3, No "touchpad" found in "Xorg.0.log" except "PS/2 Generic Mouse"
4, No touchpad tab in gnome mouse setting dialog.
Detail information see attachments, here is V4 with 0x73:
V4-73-dmesg.txt, V4-73-inputdevices.txt, V4-73-xinputlist.txt,
V4-73-Xorg.0.log

And, V2 or V1 with 0x8a or 0x00, show the almost same symptoms below:
1, dmesg output:
[   19.935069] psmouse serio4: alps: E6 report: 00 00 64
[   19.960457] psmouse serio4: alps: E7 report: 73 03 50
[   20.000732] psmouse serio4: alps: Status: 10 00 0a
[   20.026497] input: PS/2 Mouse
as /devices/platform/i8042/serio4/input/input9 
[   20.042797] input: AlpsPS/2 ALPS GlidePoint
as /devices/platform/i8042/serio4/input/input10
2, xinput --list shows there are "AlpsPS/2 ALPS GlidePoint" and "PS/2
Mouse"
3, Xorg.0.log shows:
[    30.225] (--) AlpsPS/2 ALPS GlidePoint: touchpad found
...
But,
[    30.245] (EE) Query no Synaptics: 6003C8
[    30.245] (--) AlpsPS/2 ALPS GlidePoint: no supported touchpad found
[    30.245] (EE) AlpsPS/2 ALPS GlidePoint Unable to query/initialize
Synaptics hardware. 
[    30.257] (EE) PreInit returned 11 for "AlpsPS/2 ALPS GlidePoint"
4, There is touchpad tab in gnome mouse setting dialog, but the
functions of "edge scrolling" and "disable touchpad when typing" still
can't work even if I can setup them in touchpad tab in gnome mouse
setting dialog.
Detail information see attachments, here is V2 with 0x00:
V2-00-dmesg.txt, V2-00-inputdevices.txt, V2-00-xinputlist.txt,
V2-00-Xorg.0.log

I have also changed "command_mode_resp" and even the other fields I can
find in the alps.c, but no lucky. V4, V3 can't find the touchpad, V2,
V1 can find a touchpad but still can't work.

What's the next step can I do?

Thanks.

PS: I found linux-input@vger.kernel.org archived the posts at
http://www.spinics.net/lists/linux-input/ several hours later after
post even if I hadn't subscribed this mail list at that time. But, it
seems don't archived post with big size attachment(My previous post
"Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"(with
newly dmesg information)" with 6 attachments hasn't been archived after
posting 24h later. )
[V4-73-dmesg.txt (text/plain, attachment)]
[V4-73-inputdevices.txt (text/plain, attachment)]
[V4-73-xinputlist.txt (text/plain, attachment)]
[V4-73-Xorg.0.log (application/octet-stream, attachment)]
[V2-00-dmesg.txt (text/plain, attachment)]
[V2-00-inputdevices.txt (text/plain, attachment)]
[V2-00-xinputlist.txt (text/plain, attachment)]
[V2-00-Xorg.0.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Mon, 09 Jul 2012 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Seth Forshee <seth.forshee@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 09 Jul 2012 14:48:04 GMT) Full text and rfc822 format available.

Message #98 received at 679750@bugs.debian.org (full text, mbox):

From: Seth Forshee <seth.forshee@canonical.com>
To: littlebat <dashing.meng@gmail.com>
Cc: linux-input@vger.kernel.org, 679750@bugs.debian.org, jrnieder@gmail.com, rik.theys@gmail.com
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"(with newly dmesg information)
Date: Mon, 9 Jul 2012 09:45:08 -0500
On Sat, Jul 07, 2012 at 01:35:19PM +0800, littlebat wrote:
> Briefly, "proto_version" V4 with "command_mode_resp" 0x00, 0x01, 0x73,
> 0x0d and V3 with 0x0d, 0x73, show the almost same symptoms:
> 1, dmesg output:
> [   19.105550] psmouse serio4: alps: E6 report: 00 00 64
> [   19.130028] psmouse serio4: alps: E7 report: 73 03 50
> [   19.149304] psmouse serio4: alps: unknown response while entering
> command mode: 73 01 0d 
> mode

Okay, I don't suspect the v3/v4 protocol support is likely to work then.

> And, V2 or V1 with 0x8a or 0x00, show the almost same symptoms below:
> 1, dmesg output:
> [   19.935069] psmouse serio4: alps: E6 report: 00 00 64
> [   19.960457] psmouse serio4: alps: E7 report: 73 03 50
> [   20.000732] psmouse serio4: alps: Status: 10 00 0a

...

> 4, There is touchpad tab in gnome mouse setting dialog, but the
> functions of "edge scrolling" and "disable touchpad when typing" still
> can't work even if I can setup them in touchpad tab in gnome mouse
> setting dialog.

The alps driver will detect and handle raw PS/2 mouse data, so what it
sounds like to me is that the alps driver manages to attach to your
device but doesn't get it sending absolute data packets. As a result the
driver is only passing relative motion data instead of absolute position
data, which means the touchpad is usable but still can't support any
touchpad features like edge scrolling.

So it sounds like we don't know how to talk to your touchpad, and
there's no trivial way to add support for it to the driver. There's
not really anything more I can do to help since I don't have access to
the hardware.

Seth




Severity set to 'wishlist' from 'important' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 09 Jul 2012 20:15:06 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 09 Jul 2012 20:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Tue, 10 Jul 2012 04:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 Jul 2012 04:00:04 GMT) Full text and rfc822 format available.

Message #107 received at 679750@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: Seth Forshee <seth.forshee@canonical.com>
Cc: linux-input@vger.kernel.org, 679750@bugs.debian.org, jrnieder@gmail.com, rik.theys@gmail.com
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"(with newly dmesg information)
Date: Tue, 10 Jul 2012 12:16:27 +0800
On Mon, 9 Jul 2012 09:45:08 -0500
Seth Forshee <seth.forshee@canonical.com> wrote:
> So it sounds like we don't know how to talk to your touchpad, and
> there's no trivial way to add support for it to the driver. There's
> not really anything more I can do to help since I don't have access to
> the hardware.
Thanks.

Three things:
1, Can you provide a simple tutorial (or web page address) of how to
reverse-engineer a Linux ALPS driver if possible? I have very basic
programming knowledge(shell script, read basic C code except hardware
driver). Maybe, I can provide more detail hardware information about
this ALPS touchpad in this way?

2, Is there a tool, it can show the message when I operate on touchpad
edge scrolling? So, according to the output, it is able to get a dirty
solution about edge scrolling function of Lenovo G360 touchpad.
The funciton of "disable touchpad when typing" has a solution using
python script I have mentioned in the previous posts.

3, If you are interest in this and have time and it is helpful, I can
provide a root password for this laptop to you and run ssh service for
you all the time. Then you can operate this laptop via ssh connection
in this way. You can do anything on this machine even format the
disk :-)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Tue, 10 Jul 2012 05:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Seth Forshee <seth.forshee@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 Jul 2012 05:15:12 GMT) Full text and rfc822 format available.

Message #112 received at 679750@bugs.debian.org (full text, mbox):

From: Seth Forshee <seth.forshee@canonical.com>
To: littlebat <dashing.meng@gmail.com>
Cc: linux-input@vger.kernel.org, 679750@bugs.debian.org, jrnieder@gmail.com, rik.theys@gmail.com
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"(with newly dmesg information)
Date: Mon, 9 Jul 2012 23:57:14 -0500
On Tue, Jul 10, 2012 at 12:16:27PM +0800, littlebat wrote:
> 1, Can you provide a simple tutorial (or web page address) of how to
> reverse-engineer a Linux ALPS driver if possible? I have very basic
> programming knowledge(shell script, read basic C code except hardware
> driver). Maybe, I can provide more detail hardware information about
> this ALPS touchpad in this way?

I did a write-up a while back about how I did it.

http://swapspace.forshee.me/2011/11/touchpad-protocol-reverse-engineering.html

> 2, Is there a tool, it can show the message when I operate on touchpad
> edge scrolling? So, according to the output, it is able to get a dirty
> solution about edge scrolling function of Lenovo G360 touchpad.
> The funciton of "disable touchpad when typing" has a solution using
> python script I have mentioned in the previous posts.

I'm sorry, I can't quite tell what you're asking. If you're asking for a
way to enable edge scrolling without having a functioning touchpad
driver, I don't know of any. I doubt it's even possible to detect that
you're near the edge of the touchpad with only relative motion events.

> 3, If you are interest in this and have time and it is helpful, I can
> provide a root password for this laptop to you and run ssh service for
> you all the time. Then you can operate this laptop via ssh connection
> in this way. You can do anything on this machine even format the
> disk :-)

I'm afraid it's just not practical to do this remotely. Being able to
physically interact with the touchpad is pretty crucial.

Seth




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Tue, 10 Jul 2012 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rik Theys <rik.theys@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 10 Jul 2012 06:36:03 GMT) Full text and rfc822 format available.

Message #117 received at 679750@bugs.debian.org (full text, mbox):

From: Rik Theys <rik.theys@gmail.com>
To: Seth Forshee <seth.forshee@canonical.com>
Cc: littlebat <dashing.meng@gmail.com>, linux-input@vger.kernel.org, 679750@bugs.debian.org, jrnieder@gmail.com
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"(with newly dmesg information)
Date: Tue, 10 Jul 2012 08:33:39 +0200
Hi Seth,

On Tue, Jul 10, 2012 at 6:57 AM, Seth Forshee
<seth.forshee@canonical.com> wrote:
> On Tue, Jul 10, 2012 at 12:16:27PM +0800, littlebat wrote:
>> 3, If you are interest in this and have time and it is helpful, I can
>> provide a root password for this laptop to you and run ssh service for
>> you all the time. Then you can operate this laptop via ssh connection
>> in this way. You can do anything on this machine even format the
>> disk :-)
>
> I'm afraid it's just not practical to do this remotely. Being able to
> physically interact with the touchpad is pretty crucial.

How long do you think you will need to reverse engineer the protocol
if you would have the hardware?
Depending on how long you think you might need, and how much it would
cost me to ship my laptop to you (where are you located?), would it
help if I simply ship my laptop to you?

I can't do that right now, but might be able to do that in a few months.

Regards,

Rik




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Sun, 15 Jul 2012 02:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to littlebat <dashing.meng@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 15 Jul 2012 02:00:03 GMT) Full text and rfc822 format available.

Message #122 received at 679750@bugs.debian.org (full text, mbox):

From: littlebat <dashing.meng@gmail.com>
To: Seth Forshee <seth.forshee@canonical.com>
Cc: linux-input@vger.kernel.org, 679750@bugs.debian.org, jrnieder@gmail.com, rik.theys@gmail.com
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"(with newly dmesg information)
Date: Sun, 15 Jul 2012 10:15:57 +0800
On Mon, 9 Jul 2012 23:57:14 -0500
Seth Forshee <seth.forshee@canonical.com> wrote:

> I did a write-up a while back about how I did it.
> http://swapspace.forshee.me/2011/11/touchpad-protocol-reverse-engineering.html

Hi,
I have done some testing on my Lenovo G360 Laptop according to the
instruction above, but it seems can't work as the instruction says.
Here is my steps:

1, Install Ubuntu 11.10 for i386 on laptop.
2, sudo apt-get update
3, sudo apt-get build-dep virtualbox
4, sudo apt-get source virtualbox (download
virtualbox_4.1.2-dfsg-1ubuntu1 source into home folder) 
5, Applied the virtualbox patch "vbox-psmouse-serio-passthrough.patch"
downloaded from instruction page 
6, sudo apt-get -b source virtualbox (this will compile patched source
and generate several deb virtualbox packages into home folder) 
7, sudo dpkg -i virtualbox_4.1.2-dfsg-1ubuntu1_i386.deb
virtualbox-dbg_4.1.2-dfsg-1ubuntu1_i386.deb
virtualbox-dkms_4.1.2-dfsg-1ubuntu1_all.deb
virtualbox-fuse_4.1.2-dfsg-1ubuntu1_i386.deb
virtualbox-qt_4.1.2-dfsg-1ubuntu1_i386.deb (install generated
virtualbox packages) 
8, Installed Windows 7 (or Windows xp SP2, has the
almost same testing result) into VirtualBox virtual machine. 
9, Installed Touchpad driver in Windows 7 in VirtualBox virtual machine.
But, the touchpad still act as a normal ps/2 mouse in Windows in
virtual machine, it misses edge scrolling function although has
installed windows touchpad driver successfully. 
10, Do the test:
y@y-PC:~$ sudo ./psmouse-reverse/mouse-to-serio.sh 1 
y@y-PC:~$ sudo chmod 666 /dev/serio_raw0 
y@y-PC:~$ ls -la /dev/serio*
crw-rw-rw- 1 root root 10, 55 2012-07-14 07:40 /dev/serio_raw0 
y@y-PC:~ $ export PSMOUSE_SERIO_DEV_PATH="/dev/serio_raw0" 
y@y-PC:~$ export
PSMOUSE_SERIO_LOG_PATH="/home/y/psmouse-reverse/reverse.log" 
y@y-PC:~$ virtualbox --startvm w7 ("w7" is my VirtualBox virtual
machine Windows 7 guest OS name)

In the Windows 7 guest OS, the touchpad "Lenovo pointing device"
disappeared from the hardwares list. And, the log file in Ubuntu 11.10
has the content below: 
y@y-PC:~$ cat ./psmouse-reverse/reverse.log 
S ff
R fe
S ff
R fe
S ff
R fe
S ed
R fe

Then, restart Windows 7 guest OS without the environment variables
"PSMOUSE_SERIO_DEV_PATH", "PSMOUSE_SERIO_LOG_PATH", the touchpad
"Lenovo pointing device" appeared in the Windows 7 guest OS hardwares
list. I replaced touchpad "Lenovo pointing device" driver with normal
"Microsoft PS/2 Mouse" driver. Restart Windows 7 guest OS, I can see
"Microsoft PS/2 Mouse" in the hardwares list.

Then, empty the log file "./psmouse-reverse/reverse.log", set
"PSMOUSE_SERIO_DEV_PATH", "PSMOUSE_SERIO_LOG_PATH" environment
variables and restart Windows 7 guest OS.

In the Windows 7 guest OS, "Microsoft PS/2 Mouse" disappeared from the
hardwares list. And, the log file in Ubuntu 11.10 has the content
below: 
y@y-PC:~$ cat ./psmouse-reverse/reverse.log 
S ff
R fe
S ff
R fe
S ff
R fe
S ed
R fe

Note, the content of the log file is same as when enable "Lenovo
pointing device" touchpad driver. And, when enable environment
variables, under  VirtualBox Windows 7 guest OS,  although the device
"Lenovo pointing device" or "Microsoft PS/2 Mouse" disappeared from the
hardwares list, the touchpad can still work as a normal PS/2 mouse in
the Windows 7. But, when I operate touchpad under Windows 7 guest OS,
there isn't any other bit wrote into the log file
"./psmouse-reverse/reverse.log". Only when start virtualbox machine
Windows guest OS, the log file will be written the same eight lines as
above.

I have alse tested "qemu-kvm_0.14.1+noroms-0ubuntu6" with Windows XP
SP2 guest OS installed, the result is same except two points: 
1, When I start guest OS without environment variables, the terminal
output as below: 
y@y-PC:~$ qemu -m 1024 ./QEMU/wxp.img 
open /dev/kvm: No such file or directory Could not initialize KVM, will
disable KVM support 
qemu: ps2 mouse init

qemu: serio_pt_init

qemu: No serio device specified in environment

qemu: pci_add_option_rom: failed to find romfile "pxe-rtl8139.bin"

And, when start it with environment variables set, the terminal output
as below: 
y@y-PC:~$ qemu -m 1024 ./QEMU/wxp.img
open /dev/kvm: No such file or directory
Could not initialize KVM, will disable KVM support
qemu: ps2 mouse init

qemu: serio_pt_init

qemu: pci_add_option_rom: failed to find romfile "pxe-rtl8139.bin"

2, When start qemu windows xp sp2 guest OS with environment variables
set, unlike in the virtualbox Windows guest OS, the touchpad and USB
mouse can't work in the qemu windows xp sp2 guest OS, the cursor can't
move.

Briefly, it seems the instruction at
"http://swapspace.forshee.me/2011/11/touchpad-protocol-reverse-engineering.html"
can't work on my Lenovo G360, is there any thing wrong with me?

Thanks.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#679750; Package src:linux. (Thu, 19 Jul 2012 20:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Seth Forshee <seth.forshee@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 19 Jul 2012 20:06:05 GMT) Full text and rfc822 format available.

Message #127 received at 679750@bugs.debian.org (full text, mbox):

From: Seth Forshee <seth.forshee@canonical.com>
To: littlebat <dashing.meng@gmail.com>
Cc: linux-input@vger.kernel.org, 679750@bugs.debian.org, jrnieder@gmail.com, rik.theys@gmail.com
Subject: Re: Lenovo G360: ALPS Touchpad Recognized as "PS/2 Generic Mouse"(with newly dmesg information)
Date: Thu, 19 Jul 2012 12:47:40 -0700
On Sun, Jul 15, 2012 at 10:15:57AM +0800, littlebat wrote:
> In the Windows 7 guest OS, the touchpad "Lenovo pointing device"
> disappeared from the hardwares list. And, the log file in Ubuntu 11.10
> has the content below: 
> y@y-PC:~$ cat ./psmouse-reverse/reverse.log 
> S ff
> R fe
> S ff
> R fe
> S ff
> R fe
> S ed
> R fe

From the outset this doesn't look right. When reset is sent (0xff) the
touchpad should respond with and acknowledge (0xfa) and a couple more
bytes. Something obviously isn't working right, but I'm not sure what.

The only suggestion I have is to start debugging and try to see what's
going wrong. Is the data from the guest OS getting to the hardware okay,
and vice versa? Are you sure you've got the correct device?

Seth



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:22:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.